MWAWNote Struct Reference

a note More...

`#include <libmwaw_internal.hxx>`

## Public Types

enum | Type { FootNote, EndNote }
| enum to define note type More...

## Public Member Functions

| MWAWNote (Type type)
| constructor More...

## Public Attributes

Type | m_type
| the note type More...
WPXString | m_label
| the note label More...
int | m_number
| the note number if defined More...

## Detailed Description

a note

## Member Enumeration Documentation

enum MWAWNote::Type

enum to define note type

Enumerator
FootNote |
EndNote |

## Constructor & Destructor Documentation

MWAWNote::MWAWNote | ( | Type | type | ) |

inline

constructor

## Member Data Documentation

WPXString MWAWNote::m_label

the note label

Referenced by MWAWContentListener::insertNote().

int MWAWNote::m_number

the note number if defined

Referenced by MWAWContentListener::insertNote(), and NSText::sendText().

Type MWAWNote::m_type

the note type

Referenced by MWAWContentListener::insertNote().

The documentation for this struct was generated from the following file:

- libmwaw_internal.hxx